Last Comment Bug 632475 - Enable Go Daddy G2 root certificates for EV in PSM
: Enable Go Daddy G2 root certificates for EV in PSM
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Security: PSM (show other bugs)
: unspecified
: All All
: -- enhancement (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 632461 642144
Blocks: 527056
  Show dependency treegraph
 
Reported: 2011-02-08 11:06 PST by Kathleen Wilson
Modified: 2011-05-05 14:04 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Test EV Roots file (657 bytes, text/plain)
2011-02-09 10:05 PST, Ryan Koski
no flags Details

Description Kathleen Wilson 2011-02-08 11:06:00 PST
Per bug #527056 the request from Go Daddy has been approved to enable its "Go Daddy Root Certificate Authority - G2" and "Starfield Root Certificate Authority - G2" root certificates for EV use. Please make the corresponding changes to PSM.

The relevant information is as follows.

Friendly name: Go Daddy Root Certificate Authority - G2
SHA1 Fingerprint: 47:BE:AB:C9:22:EA:E8:0E:78:78:34:62:A7:9F:45:C2:54:FD:E6:8B
EV policy OID: 2.16.840.1.114413.1.7.23.3
Test URL: https://gdg2roottest.godaddy.com/

Friendly name: Starfield Root Certificate Authority - G2
SHA1 Fingerprint: B5:1C:06:7C:EE:2B:0C:3D:F8:55:AB:2D:92:F4:FE:39:D4:E7:0F:0E
EV policy OID: 2.16.840.1.114414.1.7.23.3
Test URL: https://sfg2roottest.starfieldtech.com/
Comment 1 Kathleen Wilson 2011-02-08 11:09:20 PST
Patrick or Ryan, Please confirm that the above information is correct.

Also, please perform the testing described on the following wiki page, and post a comment in this bug when the testing has been successfully completed.

https://wiki.mozilla.org/PSM:EV_Testing_Easy_Version
Comment 2 Ryan Koski 2011-02-09 10:05:46 PST
Created attachment 511081 [details]
Test EV Roots file
Comment 3 Ryan Koski 2011-02-09 10:08:37 PST
I confirm that the information listed in the Description of this bug is correct.

I have performed the testing as requested using the test_ev_roots.txt file as attached to this bug.  The special build of Minefield correctly displays EV treatment for both of the root certificates listed in the description of this bug when visiting the corresponding test URLs.
Comment 4 Kai Engert (:kaie) 2011-03-17 07:59:54 PDT
A test version of Firefox is available at http://ftp.mozilla.org/pub/mozilla.org/firefox/tryserver-builds/kaie@kuix.de-6873b2ef1dfb/

Please download soon.

(This will go away after 3 days. Once it's gone, it will be available here
http://ftp.mozilla.org/pub/mozilla.org/firefox/tryserver-builds/old/kaie@kuix.de-6873b2ef1dfb/
for another 10 days, after which it will be deleted automatically.)

Please note this build is based on a nightly development/test version of Firefox. It might be unstable and have bugs. Please be careful. It's best to use a "fresh, empty profile", for your testing. (Search the web how to use separate profiles, start the profile manager, with Firefox). This is also recommended to make sure you're not testing your own certificate database, but really this software with the embedded certs.

This test build contains your new roots, and if you have requested to, it also has the roots enabled for EV.
Please make sure you add a confirmation comment in BOTH separate bugs (one for adding the root, one for enabling for EV, if applicable).

Please note, adding your roots, and enabling roots for EV might happen in separate releases, although we try to do it all in the same release.
Comment 5 Kai Engert (:kaie) 2011-03-17 08:02:18 PDT
TODO, in this bug, please confirm that your root has been correctly enabled for EV.
Comment 6 Ryan Koski 2011-03-17 08:51:58 PDT
I have downloaded and tested both the Mac OS X and Win32 builds.  I confirm that the Minefield build linked above correctly displays EV UI treatment when visiting the test pages for the Go Daddy Root Certificate Authority - G2 and the Starfield Root Certificate Authority - G2.
Comment 7 Kai Engert (:kaie) 2011-05-05 14:04:16 PDT
fixed in bug 642144

Note You need to log in before you can comment on or make changes to this bug.